PUT /api/v202302/meter/{meterId}/watticsDataPoint

Edit SmartAnalytics (Wattics) data on a meter

EditWatticsDataPointLinkV202302 Permissions: Meters (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter identifier for the meter to edit integer (int32) Required

Request Body

WatticsDataPointRequest
Property Description Type
watticsDataPointId The identifier for a SmartAnalytics (Wattics) meter Set to null to remove the link Required (defined) integer (int32)
Example Request Body application/json
{  "watticsDataPointId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WatticsDataPoint
Property Description Type
watticsDataPointId The identifier for a SmartAnalytics (Wattics) meter integer (int32)
Example Response application/json
{  "watticsDataPointId": 1
}
204 No Content The request succeeded. No content is returned in the response body.

Response Body Parameters

OkObjectResult
Property Description Type
contentTypes Required (defined) string[]
declaredType Required (defined) string
formatters Required (defined) IOutputFormatter[]
statusCode Required (defined) integer (int32)
value Required (defined) object
Example Response application/json
{  "contentTypes": [
    "string"
  ],  "declaredType": "string",  "formatters": [
    {}
  ],  "statusCode": 1,  "value": {}
}